%define module IO-stringy
Name: perl-%module
Version: 2.108
Release: alt3

Summary: Filehandle-like I/O support for Perl in-core objects
Group: Development/Perl
License: GPL or Artistic

URL: http://search.cpan.org/dist/IO-stringy/
Source: %module-%version.tar.bz2
BuildArch: noarch

# Automatically added by buildreq on Sat Jun 21 2003
BuildRequires: perl-devel

%description
This toolkit primarily provides modules for performing both traditional
and object-oriented I/O on things other than normal filehandles.
The package includes the following modules:

IO::AtomicFile	write a file which is updated atomically
IO::InnerFile	define a file inside another file
IO::Lines	IO:: interface for reading/writing an array of lines
IO::Scalar	IO:: interface for reading/writing a scalar
IO::ScalarArray	IO:: interface for reading/writing an array of scalars
IO::Wrap	wrap raw filehandles in IO::Handle interface
IO::WrapTie	wrap tieable objects in IO::Handle interface

%prep
%setup -q -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc docs/*
%perl_vendor_privlib/IO
%perl_vendor_man3dir/*

%changelog
* Sat Jun 21 2003 Alexey Tourbin <at@altlinux.ru> 2.108-alt3
- specfile cleanup

* Tue Nov 05 2002 Alexey Tourbin <at@altlinux.ru> 2.108-alt2
- rebuilt for perl-5.8 with new rpm macros

* Tue Sep 25 2001 Grigory Milev <week@altlinux.ru> 2.108-alt1
- New version released.

* Mon Jun 25 2001 Stanislav Ievlev <inger@altlinux.ru> 1.220-alt3
- Rebuilt with perl-5.6.1

* Fri Jun 13 2001 Grigory Milev <week@altlinux.ru> 1.220-alt2
- Rewrite spec for compatible with new police

* Fri Jun 08 2001 Grigory Milev <week@altlinux.ru> 1.220-alt1
- new version (1.220)

* Sun Feb 4 2001 AEN <aen@logic.ru>
- RE adaptation
- cleanup spec 

* Thu Oct 12 2000 Franois Pons <fpons@mandrakesoft.com> 1.216-1mdk
- 1.216.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.213-1mdk
- 1.213.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.212-2mdk
- macroszifications.
- added missing clean.
- add doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 1.212-1mdk
- added requires on perl.
- 1.212.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.209-1mdk
- 1.209
- fixed group
- rebuild with new perl
- fixed location

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- first version of rpm.
